summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMathieu Jobin2015-06-08 20:38:41 +0900
committerMathieu Jobin2015-06-08 20:38:41 +0900
commitfe783833a7a1fdc85b21dfa057e74924078f610e (patch)
treedbd6c74dd1e829912868512ad8ab86d74eccdc31
downloadaur-fe783833a7a1fdc85b21dfa057e74924078f610e.tar.gz
First Working PKGBUILD
I am symlinking the source for now, as I dont have internet.
-rw-r--r--.SRCINFO14
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD66
3 files changed, 84 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..020d2f58984
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = netvirt-agent-git
+ pkgdesc = NetVirt is an open source network virtualization platform (NVP).
+ pkgver = 0.6.r20.g3798298
+ pkgrel = 3798298
+ url = http://netvirt.org
+ arch = i686
+ arch = x86_64
+ license = GPLv3
+ makedepends = git
+ makedepends = scons
+ makedepends = cmake
+
+pkgname = netvirt-agent-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..be9c0fac3dc
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+pkg
+src
+netvirt-agent-git-*.pkg.tar.xz
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..553605fb9ee
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,66 @@
+# Maintainer: somekool <somekool _ at _ gmail _ dot _com>
+
+pkgname=netvirt-agent-git
+pkgver=0.6.r20.g3798298
+pkgrel=3798298
+pkgdesc="NetVirt is an open source network virtualization platform (NVP)."
+arch=('i686' 'x86_64')
+url=("http://netvirt.org" "https://github.com/netvirt/netvirt")
+license='GPLv3'
+depends=()
+optdepends=()
+makedepends=('git' 'scons' 'cmake') # 'libqt6-dev' 'libssl-dev')
+#install=${pkgname}.install
+#source="${pkgname}::git+https://github.com/netvirt/netvirt.git"
+#source="/home/mathieu/projects/dynvpn/netvirt"
+#source=("${pkgname}::git+https://github.com/netvirt/netvirt.git#branch=linux-1547"
+#"${pkgname}::git+https://github.com/netvirt/netvirt.git#tag=release-${pkgver}"
+#"${pkgname}::git+https://github.com/netvirt/netvirt.git#tag=release-${pkgver}")
+md5sums=() # 'SKIP')
+
+pkgver() {
+ # see https://wiki.archlinux.org/index.php/VCS_package_guidelines for more details
+ git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
+}
+
+pkgrel() {
+ git rev-parse --short HEAD
+}
+
+prepare() {
+ cd ${srcdir}/${pkgname}
+ set -e
+ git submodule update --init --recursive
+
+ pushd udt4
+ make > /dev/null
+ popd
+
+ pushd libconfig
+ #fix_libconfig_git
+ [ ! -f Makefile ] && ./configure
+ make > /dev/null
+ popd
+
+ pushd tapcfg
+ ./buildall.sh linuxonly > /dev/null
+ popd
+ set +e
+ echo ======================== prepare completed ========================
+}
+
+build() {
+ [ -d ${srcdir}/${pkgname}/build ] && rm -fr ${srcdir}/${pkgname}/build
+ mkdir ${srcdir}/${pkgname}/build
+ cd ${srcdir}/${pkgname}/build
+ cmake .. -DCMAKE_INSTALL_PREFIX:PATH=${pkgdir}/usr -DWITH_GUI=OFF
+ make nvagent
+ make package
+ echo ======================== build completed ========================
+}
+
+package() {
+ cd ${srcdir}/${pkgname}/build
+ make install
+}
+